Strophe: parser_libxml2.c File Reference

Strophe 0.9 XMPP client library

Data Structures | Functions
parser_libxml2.c File Reference

## Data Structures
struct | parser_t

## Functions
static void | _set_attributes (xmpp_stanza_t *stanza, int nattrs, const xmlChar **attrs)
static char ** | _convert_attrs (parser_t *parser, int nattrs, const xmlChar **attrs)
static void | _free_cbattrs (parser_t *parser, char **attrs)
static void | _start_element (void *userdata, const xmlChar *name, const xmlChar *prefix, const xmlChar *uri, int nnamespaces, const xmlChar **namespaces, int nattrs, int ndefaulted, const xmlChar **attrs)
static void | _end_element (void *userdata, const xmlChar *name, const xmlChar *prefix, const xmlChar *uri)
static void | _characters (void *userdata, const xmlChar *chr, int len)
parser_t * | parser_new (xmpp_ctx_t *ctx, parser_start_callback startcb, parser_end_callback endcb, parser_stanza_callback stanzacb, void *userdata)
char * | parser_attr_name (xmpp_ctx_t *ctx, char *nsname)
void | parser_free (parser_t *parser)
int | parser_reset (parser_t *parser)
int | parser_feed (parser_t *parser, char *chunk, int len)

## Detailed Description

XML parser handlers.

## Function Documentation

## ◆ _set_attributes()

static void _set_attributes | ( | xmpp_stanza_t * | stanza,
|  | int | nattrs,
|  | const xmlChar ** | attrs
| ) |  |
| static

## ◆ _convert_attrs()

static char** _convert_attrs | ( | parser_t * | parser,
|  | int | nattrs,
|  | const xmlChar ** | attrs
| ) |  |
| static

## ◆ _free_cbattrs()

static void _free_cbattrs | ( | parser_t * | parser,
|  | char ** | attrs
| ) |  |
| static

## ◆ _start_element()

static void _start_element | ( | void * | userdata,
|  | const xmlChar * | name,
|  | const xmlChar * | prefix,
|  | const xmlChar * | uri,
|  | int | nnamespaces,
|  | const xmlChar ** | namespaces,
|  | int | nattrs,
|  | int | ndefaulted,
|  | const xmlChar ** | attrs
| ) |  |
| static

## ◆ _end_element()

static void _end_element | ( | void * | userdata,
|  | const xmlChar * | name,
|  | const xmlChar * | prefix,
|  | const xmlChar * | uri
| ) |  |
| static

## ◆ _characters()

static void _characters | ( | void * | userdata,
|  | const xmlChar * | chr,
|  | int | len
| ) |  |
| static

## ◆ parser_new()

parser_t* parser_new | ( | xmpp_ctx_t * | ctx,
|  | parser_start_callback | startcb,
|  | parser_end_callback | endcb,
|  | parser_stanza_callback | stanzacb,
|  | void * | userdata
| ) |  |

## ◆ parser_attr_name()

char* parser_attr_name | ( | xmpp_ctx_t * | ctx,
|  | char * | nsname
| ) |  |

## ◆ parser_free()

void parser_free | ( | parser_t * | parser | ) |

## ◆ parser_reset()

int parser_reset | ( | parser_t * | parser | ) |

## ◆ parser_feed()

int parser_feed | ( | parser_t * | parser,
|  | char * | chunk,
|  | int | len
| ) |  |